# Class PointBufferGeometry

#### Hierarchy

- BufferGeometry
  - PointBufferGeometry

- Defined in lib/plugins/thirdParty/pointBufferGeometry.ts:3

##### Index

### Constructors

constructor

### Properties

pointCount

### Methods

bufferPositions
createAttribute
setPointData

## Constructors

### constructor

- new PointBufferGeometry(count: number): PointBufferGeometry

  A THREE.BufferGeometry consists of points.

  #### Parameters

  - count: number

    The number of points.

  #### Returns PointBufferGeometry

  Overrides BufferGeometry.constructor

  - Defined in lib/plugins/thirdParty/pointBufferGeometry.ts:10

## Properties

### pointCount

pointCount: number

- Defined in lib/plugins/thirdParty/pointBufferGeometry.ts:4

## Methods

### bufferPositions

- bufferPositions(): void

  #### Returns void

  - Defined in lib/plugins/thirdParty/pointBufferGeometry.ts:22

### createAttribute

- createAttribute(
  name: string,
  itemSize: number,
  factory?: (data: any[], index: number, pointCount: number) => void,
  ): BufferAttribute

  Creates a THREE.BufferAttribute on this geometry instance.

  #### Parameters

  - name: string

    Name of the attribute.

  - itemSize: number

    Number of floats per vertex (typically 1, 2, 3 or 4).

  - `Optional` factory: (data: any[], index: number, pointCount: number) => void

    Function that will be called for each point upon creation. Accepts 3 arguments: data[], index and prefabCount. Calls setPointData.

  #### Returns BufferAttribute

  - Defined in lib/plugins/thirdParty/pointBufferGeometry.ts:35

### setPointData

- setPointData(
  attribute: string | BufferAttribute,
  pointIndex: number,
  data: any[],
  ): void

  #### Parameters

  - attribute: string | BufferAttribute
  - pointIndex: number
  - data: any[]

  #### Returns void

  - Defined in lib/plugins/thirdParty/pointBufferGeometry.ts:52